>From 13cf99b570398bdbdb52b35beebbec832fde4945 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:33:35 +0300
Subject: [carFl mem 31/65] Globalisation pass 1: w29ee011.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 w29ee011.c |   42 +++++++++++++++++++++---------------------
 1 files changed, 21 insertions(+), 21 deletions(-)

diff --git a/w29ee011.c b/w29ee011.c
index 21fb6f2..ca397e2 100644
--- a/w29ee011.c
+++ b/w29ee011.c
@@ -25,7 +25,7 @@
 /* According to the Winbond W29EE011, W29EE012, W29C010M, W29C011A
  * datasheets this is the only valid probe function for those chips.
  */
-int probe_w29ee011(struct flashchip *flash)
+int probe_w29ee011(globals *g, struct flashchip *flash)
 {
 	chipaddr bios = flash->virtual_memory;
 	uint8_t id1, id2;
@@ -39,30 +39,30 @@ int probe_w29ee011(struct flashchip *flash)
 	}
 
 	/* Issue JEDEC Product ID Entry command */
-	chip_writeb(0xAA, bios + 0x5555);
-	programmer_delay(10);
-	chip_writeb(0x55, bios + 0x2AAA);
-	programmer_delay(10);
-	chip_writeb(0x80, bios + 0x5555);
-	programmer_delay(10);
-	chip_writeb(0xAA, bios + 0x5555);
-	programmer_delay(10);
-	chip_writeb(0x55, bios + 0x2AAA);
-	programmer_delay(10);
-	chip_writeb(0x60, bios + 0x5555);
-	programmer_delay(10);
+	chip_writeb(g, 0xAA, bios + 0x5555);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0x55, bios + 0x2AAA);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0x80, bios + 0x5555);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0xAA, bios + 0x5555);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0x55, bios + 0x2AAA);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0x60, bios + 0x5555);
+	programmer_delay(g, 10);
 
 	/* Read product ID */
-	id1 = chip_readb(bios);
-	id2 = chip_readb(bios + 0x01);
+	id1 = chip_readb(g, bios);
+	id2 = chip_readb(g, bios + 0x01);
 
 	/* Issue JEDEC Product ID Exit command */
-	chip_writeb(0xAA, bios + 0x5555);
-	programmer_delay(10);
-	chip_writeb(0x55, bios + 0x2AAA);
-	programmer_delay(10);
-	chip_writeb(0xF0, bios + 0x5555);
-	programmer_delay(10);
+	chip_writeb(g, 0xAA, bios + 0x5555);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0x55, bios + 0x2AAA);
+	programmer_delay(g, 10);
+	chip_writeb(g, 0xF0, bios + 0x5555);
+	programmer_delay(g, 10);
 
 	msg_cdbg("%s: id1 0x%02x, id2 0x%02x\n", __func__, id1, id2);
 
-- 
1.7.6

